<!DOCTYPE html>
<html lang="en">
<link href="{{ url_for('static', filename='favicon.ico') }}" rel="shortcut icon">
<head>
    <title>Das beste Spiel</title>
</head>
<body>
<script src="//cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js"></script>
<script src="//code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="{{ url_for('static', filename='js/ConnectionHandler.js') }}" type="text/javascript"></script>

<link href="{{ url_for('static', filename='css/styles.css') }}" rel="stylesheet">

<div>Waiting for two players!</div>
<div>players count: <span id="playersNumber"></span></div>
<div id="announcement" style="display: none">Got two players, let's begin!</div>
<button id="connectButton">Connect</button>
<button id="disconnectButton">Disconnect</button>
<div>Text output</div>
<div id="textOutput">...</div>
<div class="game-board" id="gameBoard" style="display: none"></div>

<script>
    const connectionHandler = new ConnectionHandler();

    for (let i = 0; i < 3; i++) {
        for (let j = 0; j < 3; j++) {
            const boxId = "box_" + i + j;
            $("#gameBoard").append("<div class=\"box\" id=" + boxId + "></div>");
            $("#" + boxId).click(() => {
                connectionHandler.sendFieldClickedMessage(i, j);
            });
        }
    }

    $("#connectButton").click(() => {
        connectionHandler.connectToServer(
            () => {
                setOutputText("connected");
                $("#gameBoard").css("display", "grid");
                $("#connectButton").prop("disabled", true);
            }
        );

    });

    $("#disconnectButton").click(() => {
        connectionHandler.disconnect(
            () => {
                setOutputText("disconnected");
                $("#gameBoard").css("display", "none");
            }
        );
    });

    function setOutputText(text) {
        return () => {
            $("#textOutput").html(text);
        };
    }

</script>
</body>
</html>
